Commit 6368169b authored by Tobias Steiner's avatar Tobias Steiner
Browse files

Use jquery 1.9.1 and doen't include the jquery lib into the bundle

parent a668b969
...@@ -3,9 +3,15 @@ ...@@ -3,9 +3,15 @@
<head> <head>
<meta charset="UTF-8"> <meta charset="UTF-8">
<title>Title</title> <title>Title</title>
<script src="../dist/bundle.js"></script> <script
src="https://code.jquery.com/jquery-1.9.1.min.js"
integrity="sha256-wS9gmOZBqsqWxgIVgA8Y9WcQOa7PgSIX+rPA0VL2rbQ="
crossorigin="anonymous"></script>
</head> </head>
<body> <body>
<div id="geolinkerWidget" data-url="https://dodis.ch/G8" data-endpoint="sameas" data-api-version="v1" data-language="fr">Loading widget...</div> <div id="geolinkerWidget" data-url="https://dodis.ch/G8" data-endpoint="sameas" data-api-version="v1" data-language="fr">Loading widget...</div>
<script src="../dist/bundle.js"></script>
</body> </body>
</html> </html>
...@@ -46,9 +46,9 @@ ...@@ -46,9 +46,9 @@
"dev": true "dev": true
}, },
"@types/jquery": { "@types/jquery": {
"version": "3.3.10", "version": "1.10.35",
"resolved": "https://registry.npmjs.org/@types/jquery/-/jquery-3.3.10.tgz", "resolved": "https://registry.npmjs.org/@types/jquery/-/jquery-1.10.35.tgz",
"integrity": "sha512-W2bE8pGh9Tsg8mxh+B6BSH8lTG6ZV7K2ZMAlEwSTqKFU1wMI5HShyRKSp3DngnxCmDu35tW3RAC4mxBFYRsTuw==" "integrity": "sha512-SVtqEcudm7yjkTwoRA1gC6CNMhGDdMx4Pg8BPdiqI7bXXdCn1BPmtxgeWYQOgDxrq53/5YTlhq5ULxBEAlWIBg=="
}, },
"@types/mocha": { "@types/mocha": {
"version": "5.2.5", "version": "5.2.5",
...@@ -2934,9 +2934,9 @@ ...@@ -2934,9 +2934,9 @@
"dev": true "dev": true
}, },
"jquery": { "jquery": {
"version": "3.3.1", "version": "1.12.4",
"resolved": "https://registry.npmjs.org/jquery/-/jquery-3.3.1.tgz", "resolved": "https://registry.npmjs.org/jquery/-/jquery-1.12.4.tgz",
"integrity": "sha512-Ubldcmxp5np52/ENotGxlLe6aGMvmF4R8S6tZjsP6Knsaxd/xp3Zrh50cG93lR6nPXyUFwzN3ZSOQI0wRJNdGg==" "integrity": "sha1-AeHfuikP5z3rp3zurLD5ui/sngw="
}, },
"js-tokens": { "js-tokens": {
"version": "3.0.2", "version": "3.0.2",
......
...@@ -3,9 +3,9 @@ ...@@ -3,9 +3,9 @@
"version": "1.0.0", "version": "1.0.0",
"description": "Plugin to display structured content from histhub geolinker", "description": "Plugin to display structured content from histhub geolinker",
"dependencies": { "dependencies": {
"@types/jquery": "^3.3.10", "@types/jquery": "^1.9.1",
"@types/mustache": "^0.8.31", "@types/mustache": "^0.8.31",
"jquery": "^3.3.1", "jquery": "^1.9.1",
"mustache": "^3.0.0", "mustache": "^3.0.0",
"nconf": "^0.10.0", "nconf": "^0.10.0",
"url-parse": "^1.4.3" "url-parse": "^1.4.3"
......
import * as $ from 'jquery'; import * as $ from 'jquery';
import jqXHR = JQuery.jqXHR;
import {InterfaceViewOptions} from './view'; import {InterfaceViewOptions} from './view';
/** /**
......
...@@ -3,5 +3,8 @@ ...@@ -3,5 +3,8 @@
module.exports = merge(common, { module.exports = merge(common, {
mode: 'production', mode: 'production',
externals: {
jquery: 'jQuery'
},
watch: false, watch: false,
}); });
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment